Package org.eclipse.m2m.atl.engine.vm.nativelib

# Class ASMCollection

java.lang.Object
org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
org.eclipse.m2m.atl.engine.vm.nativelib.ASMCollection

Direct Known Subclasses:
  `ASMBag`, `ASMOrderedSet`, `ASMSequence`, `ASMSet`

public abstract class ASMCollection extends ASMOclAny

## Field Summary

Fields
Modifier and Type
Field
Description
`static ASMOclType`
`myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

## Constructor Summary

Constructors
Constructor
Description
`ASMCollection(ASMOclType type)`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`add(ASMOclAny o)`
`static ASMBag`
`asBag(StackFrame frame, ASMCollection self)`
`static ASMOrderedSet`
`asOrderedSet(StackFrame frame, ASMCollection self)`
`static ASMSequence`
`asSequence(StackFrame frame, ASMCollection self)`
`static ASMSet`
`asSet(StackFrame frame, ASMCollection self)`
`abstract Collection`
`collection()`
`static ASMInteger`
`count(StackFrame frame, ASMCollection self, ASMOclAny object)`
`static ASMBoolean`
`excludes(StackFrame frame, ASMCollection self, ASMOclAny o)`
`static ASMBoolean`
`excludesAll(StackFrame frame, ASMCollection self, ASMCollection o)`
`ASMOclAny`
`get(StackFrame frame, String name)`
`static ASMBoolean`
`includes(StackFrame frame, ASMCollection self, ASMOclAny o)`
`static ASMBoolean`
`includesAll(StackFrame frame, ASMCollection self, ASMCollection o)`
`static ASMBoolean`
`isEmpty(StackFrame frame, ASMCollection self)`
`abstract Iterator`
`iterator()`
`static ASMBoolean`
`notEmpty(StackFrame frame, ASMCollection self)`
`int`
`size()`
`static ASMInteger`
`size(StackFrame frame, ASMCollection self)`
`static ASMOclAny`
`sum(StackFrame frame, ASMCollection self)`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### myType

public static ASMOclType myType

## Constructor Details

### ASMCollection

public ASMCollection(ASMOclType type)

## Method Details

### iterator

public abstract Iterator iterator()

### collection

public abstract Collection collection()

### get

public ASMOclAny get(StackFrame frame, String name)

Overrides:
  `get` in class `ASMOclAny`

### size

public int size()

### add

public abstract void add(ASMOclAny o)

### size

public static ASMInteger size(StackFrame frame, ASMCollection self)

### includes

public static ASMBoolean includes(StackFrame frame, ASMCollection self, ASMOclAny o)

### excludes

public static ASMBoolean excludes(StackFrame frame, ASMCollection self, ASMOclAny o)

### count

public static ASMInteger count(StackFrame frame, ASMCollection self, ASMOclAny object)

### includesAll

public static ASMBoolean includesAll(StackFrame frame, ASMCollection self, ASMCollection o)

### excludesAll

public static ASMBoolean excludesAll(StackFrame frame, ASMCollection self, ASMCollection o)

### isEmpty

public static ASMBoolean isEmpty(StackFrame frame, ASMCollection self)

### notEmpty

public static ASMBoolean notEmpty(StackFrame frame, ASMCollection self)

### sum

public static ASMOclAny sum(StackFrame frame, ASMCollection self)

### asBag

public static ASMBag asBag(StackFrame frame, ASMCollection self)

### asSequence

public static ASMSequence asSequence(StackFrame frame, ASMCollection self)

### asOrderedSet

public static ASMOrderedSet asOrderedSet(StackFrame frame, ASMCollection self)

### asSet

public static ASMSet asSet(StackFrame frame, ASMCollection self)